package com.bonus.canteen.core.marketing.v2.rule.pay.dto;

import com.fasterxml.jackson.databind.JsonNode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel("扣款规则出参")
public class RulePayResultDTO {
   @ApiModelProperty("钱包ids")
   private List<Integer> walletIds;
   @ApiModelProperty("预留字段")
   private JsonNode extInfo;

   public List<Integer> getWalletIds() {
      return this.walletIds;
   }

   public JsonNode getExtInfo() {
      return this.extInfo;
   }

   public RulePayResultDTO setWalletIds(final List<Integer> walletIds) {
      this.walletIds = walletIds;
      return this;
   }

   public RulePayResultDTO setExtInfo(final JsonNode extInfo) {
      this.extInfo = extInfo;
      return this;
   }

   public RulePayResultDTO(final List<Integer> walletIds, final JsonNode extInfo) {
      this.walletIds = walletIds;
      this.extInfo = extInfo;
   }

   public RulePayResultDTO() {
   }
}
